@echo off
cnc
@echo *                                                                             *
pause
cls
@echo *******************************************************************************
@echo *   MINDESTANFORDERUNGEN UND STANDARDS:                                       *
@echo *                                                                             *
@echo *   DOS-Rechner, ab 486DX 33Mhz mit VGA-Grafik, serieller Maus                *
@echo *   und mindestens einer parallelen Druckerschnittstelle.                     *
@echo *   Programm laeuft nur im DOS-Modus!  Die Steuerdatei (z.B. kreise1)         *
@echo *   muss als reine ASCII-Textdatei vorliegen und sich im aktuellen            *
@echo *   Verzeichnis von CNC.EXE befinden!                                         *
@echo *                                                                             *
@echo *   Ansteuerung von 9 Achsen (XYZ RST UVW) u. 5 Schalter je Achsenebene.      *
@echo *   Die zur Programmierung notwendigen Informationen entnehmen Sie bitte      *
@echo *   den Kommentaren der mitgelieferten Beispiel-Teileprogramme.               *
@echo *                                                                             *
@echo *   Schrittmotorendstufen:                                                    *
@echo *   Ansteuerung beschrieben bei Aufruf  "cnc" im DOS-Prompt.                  *
@echo *   Voreinstellung: 1/25 Mikroschritt!  Schrittmotoren: 200 Vollschritte/U.   *
@echo *                                                                             *
@echo *   Mit 5mm Kugelumlauf-Spindelsteigungen (Direktantrieb): 1000 steps/mm.     *
@echo *   Ganzzahlige Eingaben im Code stellen das 10-fache des Verfahrweges dar!   *
@echo *   Bildschirmdarstellung: Jedes Pixel ist 1mm Verfahrweg bei 100 Proz. Zoom! *
@echo *                                                                             *
@echo *   Sonderabstimmungen auf Anfrage.                  Kontakt:   uwe@wulf.de   *
@echo *******************************************************************************
@echo off
pause
cls
@echo *******************************************************************************
@echo *   MINIMUM REQUIREMENTS AND STANDARDS:                                       *
@echo *                                                                             *
@echo *   DOS-Computer, 486DX 33Mhz or higher, with VGA-Graphic, serial mouse       *
@echo *   and min. one parallel printerport.                                        *
@echo *   Programm runs only in DOS-Mode!  The datafile (e.g. kreise1)              *
@echo *   have to be a pure ASCII-Textfile and must be located in the present       *
@echo *   directory of CNC.EXE !                                                    *
@echo *                                                                             *
@echo *   Driving of 9 axis (XYZ RST UVW) and 5 switches in each axisplane.         *
@echo *   For coding your own cnc-datafiles, please view the sample files           *
@echo *   and read the comments written beside the data.                            *
@echo *                                                                             *
@echo *   Steppermotor-Driverunits:                                                 *
@echo *   Wire connection described when enter "cnc" im the DOS-Prompt.             *
@echo *   Pre-adjusted: 1/25 microstep-mode!     Steppermotors: 200 Fullsteps/rev.  *
@echo *                                                                             *
@echo *   With 5mm ballbearing-spindleslope (direct drive): 1000 Microsteps/mm      *
@echo *   All data in the CNC-Code is 10x higher than real motion of the machine!   *
@echo *   Screenoutput: Each pixel is 1mm of motion if Zoom is 100 percent!         *
@echo *                                                                             *
@echo *   Special setup on request.                        Contact:   uwe@wulf.de   *
@echo *******************************************************************************
@echo off
pause
cls
@echo *
@echo *
@echo *
@echo *
@echo *******************************************************************************
@echo *******************************************************************************
@echo *                                                                             *
@echo * DIE 9 ACHSEN LERNVERSION HAT EINGESCHRAENKTE FUNKTIONEN UND VERFAHRWEGE     *
@echo *                                                                             *
@echo * THIS 9 AXIS STUDENTVERSION HAS SOME LIMITS IN FUNKTIONS AND MOTIONS         *
@echo *                                                                             *
@echo *                                                                             *
@echo *                                                                             *
@echo * Programmerstellung nach besten Erkenntnissen, jedoch Haftungsausschluss!    *
@echo *                                                                             *
@echo * Program was made with our best "Know-How", but we refuse waranty claims!    *
@echo *                                                                             *
@echo *******************************************************************************
@echo *******************************************************************************
@echo *
@echo *
@echo *
@echo *
@echo off
pause
cls
@echo *******************************************************************************
@echo *     Die CNC-LERNVERSION hat namentlich folgende EINSCHRAENKUNGEN:           *
@echo *                                                                             *
@echo *   * Verfahrwege im G-Befehl nur bis max. 200,0mm !!                         *
@echo *   * Verfahrwege im Teach-In Modus nur max. 100,0mm !!                       *
@echo *   * Radius im K-Befehl nur bis max. 50,0mm !!                               *
@echo *   * Geschwindigkeitsaenderung im Programm (z.B.  "v 20") nicht moeglich!    *
@echo *   * Schalter "s2" fuer bedarfsgerechte Schmierung zeitl. nicht einstellbar! *
@echo *   * Schalter "s3", "s4" und "s5" sind nicht verfuegbar!                     *
@echo *   * Schnitte zum Ausfraesen bei Zyklen nur bis max. 5 Schnitte zulaessig!   *
@echo *   * Kreise sind z.T. 0.1mm oval, keine exakte Rueckkehr zum Startpunkt!     *
@echo *                                                                             *
@echo *                                                                             *
@echo *   Die VOLLVERSION ist erhaeltlich bei:                                      *
@echo *                                                  National-Motion-Control    *
@echo *                                                  Dipl.-Ing. Uwe Wulf        *
@echo *                                                  Hauptstrasse 39            *
@echo *                                                  D-23847 Grinau             *
@echo *   www.aluweld.de                                 Tel: 04501 423             *
@echo *                                                                             *
@echo *   Copyright: Uwe Wulf                                                       *
@echo *   Technische Unterstuetzung und Updates nur fuer registrierte Nutzer!       *
@echo *******************************************************************************
@echo off
pause
cls
@echo *******************************************************************************
@echo *     The 9 Axis CNC-STUDENTVERSION has e.g. following RESTRICTIONS:          *
@echo *                                                                             *
@echo *   * Motion in G-command only up to 200,0mm !!                               *
@echo *   * Motion in Teach-In-mode max. 100,0mm !!                                 *
@echo *   * Radius in K-command max. 50,0mm !!                                      *
@echo *   * Speed control within the data files (e.g.  "v 20") impossible!          *
@echo *   * Switch "s2" for lubrication pump timing not adjustable!                 *
@echo *   * Switches "s3", "s4" and "s5" are not available!                         *
@echo *   * Milling cuts for cycles only up to 5 cuts permitted!                   *
@echo *   * Circuits are sometimes 0.1mm oval, no exact return to orgin!            *
@echo *                                                                             *
@echo *                                                                             *
@echo *   The FULLVERSION is available from:                                        *
@echo *                                                  National-Motion-Control    *
@echo *                                                  Dipl.-Ing. Uwe Wulf        *
@echo *                                                  Hauptstrasse 39            *
@echo *                                                  D-23847 Grinau             *
@echo *   www.aluweld.de                                 Tel: 04501 423             *
@echo *                                                                             *
@echo *   Copyright: Uwe Wulf                                                       *
@echo *   Technical support and updates only for registered users!                  *
@echo *******************************************************************************
@echo off
pause
cls
cnc kreise1 0 bs
pause
cnc kreise2 0 bs
pause
cnc tasche1 0 bs
pause
cnc tasche2 0 bs
pause
cnc tasche3 0 bs
pause
cnc sample1 0 bs
pause
cnc sample2 0 bs
pause
cnc sample3 0 bs
pause
cnc sample4 0 bs
pause
cnc sample5 0 bs
pause
cnc sample6 0 bs
pause
cnc flansch 0 bs
pause
cnc aluweld 0 bs
@echo off
pause
cls
@echo *                                                                             *
@echo *                                                                             *
@echo *******************************************************************************
@echo *     ZUM ABSCHLUSS EINE DEMONSTRATION DER TEACH-IN PROGRAMMIERUNG            *
@echo *                                                                             *
@echo *     DIE NACHFOLGENDEN ANWEISUNGEN BITTE GUT DURCHLESEN !!                   *
@echo *                                                                             *
@echo *   * Sie koennen im TEACH-IN Modus mit der Tastatur oder Maus verfahren.     *
@echo *   * Die Bewegungen werden am Bildschirm dargestellt und gleichzeitig als    *
@echo *   * Programmcode in der Datei "teachdat" abgespeichert.                     *
@echo *   * Sie koennen die Datei "teachdat" ggf. editieren und ueberarbeiten.      *
@echo *                                                                             *
@echo *   * FUNKTIONEN im TEACH-IN Modus:                  IMMER MAUSTREIBER LADEN! *
@echo *   * Taste "x"   Auswahl der XYZ-Achsenebene  (par. Schnittstelle 378h)      *
@echo *   * Taste "r"   Auswahl der RST-Achsenebene  (par. Schnittstelle 278h)      *
@echo *   * Taste "u"   Auswahl der UVW-Achsenebene  (par. Schnittstelle 3BCh)      *
@echo *   * Taste "s"   Auswahl der Schalterfunktionen s0, s1   (s2 bis s5 im Code) *
@echo *   * Taste "6"   auf Zahlenblock ist X-Achse vorwaerts, "4"  X rueckwaerts.  *
@echo *   * Taste "+"   Z-Achse faehrt raus (Darstellung am oberen Bildschirmrand). *
@echo *   * Taste "-"   Z-Achse faehrt wieder zurueck.                              *
@echo *   * Mit Maus:   Space + Mausbewegung + Maustaste (alternativ Taste "5")     *
@echo *   * Eingabetaste:    Beenden der TEACH-IN Programmierung.                   *
@echo *                                                                             *
@echo *     BEISPIEL: ERST "x", DANN "s", DANACH DIE TASTE "9" GEDRUECKT HALTEN     *
@echo *******************************************************************************
@echo *                                                                             *
@echo *                                                                             *
@echo *                                                                             *
@echo off
pause
cls
@echo *                                                                             *
@echo *                                                                             *
@echo *******************************************************************************
@echo *     AT FINAL A DEMONSTRATION OF THE TEACH-IN PROGRAMMING                    *
@echo *                                                                             *
@echo *     PLEASE NOTICE THE FOLLOWING ADVICES!!                                   *
@echo *                                                                             *
@echo *   * You can make motions in TEACH-IN mode with the keyboard or mouse.       *
@echo *   * Motions have output on screen and the                                   *
@echo *   * programmcode will be stored in file "teachdat".                         *
@echo *   * You may edit "teachdat" and make changes if you want.                   *
@echo *                                                                             *
@echo *   * FUNCTIONS in TEACH-IN Mode:                    ALWAYS LOAD MOUSEDRIVER! *
@echo *   * Key "x"   Choose XYZ-Axisplane  (parallel Port 378h)                    *
@echo *   * Key "r"   Choose RST-Axisplane  (parallel Port 278h)                    *
@echo *   * Key "u"   Choose UVW-Axisplane  (parallel Port 3BCh)                    *
@echo *   * Key "s"   Choose switchfunction s0, s1  (s2 to s5 set only in cnc-code) *
@echo *   * Key "6"   on Keypad is X-Axis forward, "4"  X backward.                 *
@echo *   * Key "+"   Z-Axis move positiv (visual output on screen above).          *
@echo *   * Key "-"   Z-Achse move back to negative.                                *
@echo *   * With Mouse:   Space + Mousemove + Mousekey (alternative key "5")        *
@echo *   * Returnkey:    End of TEACH-IN programming.                              *
@echo *                                                                             *
@echo *     EXAMPLE: FIRST "x", THEN "s", AND THEN KEY "9" KEEP DOWN                *
@echo *******************************************************************************
@echo *                                                                             *
@echo *                                                                             *
@echo *                                                                             *
@echo off
pause
cnc teach 100 bs
@echo off
pause
cls
@echo *                                                                             *
@echo *                                                                             *
@echo *                                                                             *
@echo *                                                                             *
@echo *                                                                             *
@echo *******************************************************************************
@echo *******************************************************************************
@echo *                                                                             *
@echo * NACH BEENDETER TEACH-IN EINGABE STARTET JETZT DIE REPRODUKTION AUTOMATISCH  *
@echo * Manueller Aufruf der Reproduktion von TEACH-IN:        "cnc teachdat 0 bs"  *
@echo *                        reale Verfahrbewegungen:        "cnc teachdat 0"     *
@echo *                                                                             *
@echo *                                                                             *
@echo * AFTER FINISH THE TEACH-IN INPUT NOW AUTOMATICLY STARTING THE REPRODUCTION   *
@echo * Manual call of reproduction from the TEACH-IN:         "cnc teachdat 0 bs"  *
@echo *                                  real motions:         "cnc teachdat 0"     *
@echo *                                                                             *
@echo *******************************************************************************
@echo *******************************************************************************
@echo *                                                                             *
@echo *                                                                             *
@echo *                                                                             *
@echo *                                                                             *
@echo *                                                                             *
@echo *                                                                             *
@echo *                                                                             *
@echo *                                                                             *
@echo off
pause
cnc teachdat 0 bs
